For the complete documentation index, see llms.txt. This page is also available as Markdown.

Returns the Status Information of the Sale Despatch

Giden İrsaliyenin statü bilgilerini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Giden İrsaliyenin statü bilgilerini getirir.

application/json
DespatchProfilestring · enumOptionalPossible values:
IssueDatestring · date-timeOptional
get/Sale/{UUID}/Status
GET /edespatch/Sale/{UUID}/Status HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "DespatchProfile": "TEMELIRSALIYE",
  "IssueDate": "2026-01-01T00:00:00.000Z",
  "Answer": {
    "AnswerCode": "unknown",
    "AnswerNote": "text",
    "Description": "text"
  },
  "DespatchStatus": {
    "Code": "unknown",
    "Description": "text",
    "DetailDescription": "text"
  },
  "EnvelopeInfo": {
    "UUID": "text",
    "GIBCode": 1,
    "GIBDescription": "text",
    "CreatedDate": "2026-01-01T00:00:00.000Z"
  }
}
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/edespatch/Sale/48d18713-c8c2-40cc-af46-063887651f28/Status", Method.Get);
request.AddHeader("Authorization", "Bearer");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Sale/48d18713-c8c2-40cc-af46-063887651f28/Status',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated